Nodejs

Nodejs is used for all the front-end build chain.

You need to have Node installed on your machine. The setup is not covered by this documentation.

Version

Each release of Wordless is bound to a node version. It is declared inside package.json.

pakage.json
10
11
12
  "engines": {
    "node": "12.13.1"
  },

Wordless is tested with the enforced nodejs version and the shipped yarn.lock file. You’re free to change version as you wish, but you’ll be on your own managing all the dependancies.

NVM

Using NVM is strongly recommended.

In a Wordless theme you’ll find an .nvmrc file; you can use NVM node version manager to easily switch to the right node version.

Installing NVM is as simple as

curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.36.0/install.sh | bash

but you can read more at https://github.com/nvm-sh/nvm#install–update-script.

Note

v0.36.0 is the most recent version at time of writing

Once set up, you can install the required node version

nvm install x.x.x

where x.x.x is the version reported in previous paragraph. Then, once you’ll be ready to work, use it with within your theme

nvm use